# zabbix_group_info – Gather information about Zabbix hostgroup

New in version 2.6.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module allows you to search for Zabbix hostgroup entries.
- This module was called `zabbix_group_facts` before Ansible 2.9. The usage did not change.

Aliases: zabbix_group_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- zabbix-api >= 0.5.4

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
hostgroup_name list / elements=string / required |  | Name of the hostgroup in Zabbix. hostgroup is the unique identifier used and cannot be updated using this module.
http_login_password string |  | Basic Auth password
http_login_user string / required |  | Basic Auth login
login_password string / required |  | Zabbix user password.
login_user string / required |  | Zabbix user name.
server_url string / required |  | URL of Zabbix server, with protocol (http or https). `url` is an alias for `server_url`. aliases: url
timeout integer | Default: 10 | The timeout of API request (seconds).

validate_certs
boolean
added in 2.5

Choices:
- no
- yes ←

If set to False, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Notes

Note

- If you use login_password=zabbix, the word “zabbix” is replaced by “****” in all module output, because login_password uses `no_log`. See this FAQ for more information.

## Examples

    - name: Get hostgroup info
      local_action:
        module: zabbix_group_info
        server_url: http://monitor.example.com
        login_user: username
        login_password: password
        hostgroup_name:
          - ExampleHostgroup
        timeout: 10

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
host_groups dictionary | success | List of Zabbix groups. Sample: [{'flags': '0', 'groupid': '33', 'internal': '0', 'name': 'Hostgruup A'}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Michael Miko (@RedWhiteMiko)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.